WindowsRegistryScan (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.autoinventory.scanimpl.WindowsRegistryScan class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory.scanimpl
Class WindowsRegistryScan

    java.lang.Object
      org.hyperic.hq.autoinventory.scanimpl.ScanMethodBase
          org.hyperic.hq.autoinventory.scanimpl.WindowsRegistryScan

All Implemented Interfaces:
  ScanMethod

    public class WindowsRegistryScan

extends ScanMethodBase

This implementation of ScanMethod knows how to scan the Windows Registry. It can be configurated to scan the whole registry or only certain keys while ignoring others.

Field Summary

Fields inherited from class org.hyperic.hq.autoinventory.scanimpl.ScanMethodBase
`_authorityLevel, _config, _scanner, _state`

Constructor Summary
`WindowsRegistryScan()`

Method Summary
`java.lang.String` | `getDescription()` Get the description of this ScanMethod.
`java.lang.String` | `getDisplayName()` Get the human readable name of this ScanMethod.
`java.lang.String` | `getName()` Get the name of this ScanMethod.
`protected ConfigOption[]` | `getOptionsArray()` Subclasses implement this method to return the array of ConfigOptions supported by the scan method.
`void` | `scan(ConfigResponse platformConfig, ServerDetector[] serverDetectors)` Perform a scan for this method.

Methods inherited from class org.hyperic.hq.autoinventory.scanimpl.ScanMethodBase
`getAuthorityLevel, getConfig, getConfigSchema, init, setAuthorityLevel, setScanner`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsRegistryScan

    public WindowsRegistryScan()

Method Detail

### getOptionsArray

    protected ConfigOption[] getOptionsArray()

  Description copied from class: `ScanMethodBase`
  Subclasses implement this method to return the array of ConfigOptions supported by the scan method.

  Specified by:
    `getOptionsArray` in class `ScanMethodBase`
  Returns:
    An array of ConfigOptions for this ScanMethod.

### getName

    public java.lang.String getName()

  Description copied from interface: `ScanMethod`
  Get the name of this ScanMethod.

### getDisplayName

    public java.lang.String getDisplayName()

  Description copied from interface: `ScanMethod`
  Get the human readable name of this ScanMethod.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `ScanMethod`
  Get the description of this ScanMethod.

### scan

    public void scan(ConfigResponse platformConfig,
                     ServerDetector[] serverDetectors)
              throws AutoinventoryException

  Description copied from interface: `ScanMethod`
  Perform a scan for this method.

  Parameters:
    `platformConfig` - ConfigResponse for the platform
    `serverDetectors` - an array of ServerDetectors to use when scanning.
  Throws:
    `AutoinventoryException` - If an error occurs during the scan.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.